Code Red > AutoLISP (Vanilla / Visual)

"ssget everything" for a single point?

(1/3) > >>

Peter2:
I have tons of hatches, usually as solid-hatch-pattern, and sometimes partially or totally overlapping.
I want to select the overlapping ones on a single point - like a needle which I stick on a bunch of paper sheets: all the sheets on this needle-picking-point are selected.

(An option would be to define a cross-poly or a cross-window with very small area, but maybe there is really a "needle-ssget"?)

ribarm:
Maybe :

--- Code: ---(sssetfirst nil (ssget "_C" pt pt))

--- End code ---

Lee Mac:
Marko's suggestion should suffice (though I might be inclined to add some small tolerance to the selection window). For completeness, I would note that you can actually supply a single point to ssget, e.g. (ssget '(1 2 0)), however, this will only usually select a single entity.

Jeff_M:
This gets everything inside the pickbox:
(setq ss (ssget ":E"))

Peter2:

--- Quote from: Jeff_M on April 24, 2024, 01:31:15 PM ---This gets everything inside the pickbox:
(setq ss (ssget ":E"))

--- End quote ---
For me, only the entity on the top.

Thanks to all; I see a confirmation that "selecting everything under a needle" is not possible.
A point (a needle) picks only the element on the top. To select the other elements too I need an cross-poly or a fence.

Navigation

[0] Message Index

[#] Next page

Go to full version